Mono.Cairo 1.0.5000.0 2.0.0.0 System.ValueType Stores metric information for a font. Values are given in the current user-space coordinate system.

Because font metrics are in user-space coordinates, they are mostly, but not entirely, independent of the current transformation matrix.

If you call with parameters (2.0, 2.0), the text will be drawn twice as big, but the reported text extents will not be doubled. They will change slightly due to hinting (so you can not assume that metrics are independent of the transformation matrix), but otherwise will remain unchanged.

- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Property
  System.Double The distance that the font extends above the baseline. the ascent Note that this is not always exactly equal to the maximum of the extents of all the glyphs in the font, but rather is picked to express the font designer's intent as to how the font should align with elements above it. 1.0.5000.0 2.0.0.0
- Property
  System.Double The distance that the font extends below the baseline. the descent This value is positive for typical fonts that include portions below the baseline. Note that this is not always exactly equal to the maximum of the extents of all the glyphs in the font, but rather is picked to express the font designer's intent as to how the the font should align with elements below it. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  System.Double The recommended vertical distance between baselines when setting consecutive lines of text with the font. the height This is greater than ascent+descent by a quantity known as the line spacing or external leading. When space is at a premium, most fonts can be set with only a distance of ascent+descent between lines. 1.0.5000.0 2.0.0.0
- Property
  System.Double The maximum distance in the X direction that the the origin is advanced for any glyph in the font. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Double The maximum distance in the Y direction that the the origin is advanced for any glyph in the font. To be added. This will be zero for normal fonts used for horizontal writing. (The scripts of East Asia are sometimes written vertically.) 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0